bitel.billing.server.voiceip.bean

## Class VoiceIpLoginManager

- java.lang.Object
- - bitel.billing.server.call.bean.LoginManager
  - - bitel.billing.server.voiceip.bean.VoiceIpLoginManager

-     public class VoiceIpLoginManager
      extends LoginManager

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.call.bean.LoginManager

      `con, mid, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceIpLoginManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VoiceIpLogin` | `addLogin(Login login, Preferences moduleSetup)`
    `boolean` | `checkAlias(java.lang.String alias)` Проверяет, занят ли указанный алиас (используется только при создании логина через Web)
    `java.lang.String` | `checkAliases(Login login, java.util.Set<java.lang.String> aliases)`
    `protected void` | `doSpecificWrapActions(int newLoginId, java.util.Date dateOpen, java.util.Date dateClose, Login login, bitel.billing.server.util.db.TableCopier tableCopier)`
    `java.util.List<java.lang.Integer>` | `getFirstAliases(int[][] ranges)`
    `java.util.List<java.lang.Long>` | `getFirstAliases(java.util.List<long[]> ranges, int count)`
    `VoiceIpLogin` | `getLoginFromResultSet(java.sql.ResultSet rs)`
    `protected void` | `moveLoginData(Login login, int cidFrom, int cidTo)` Перенос наработки логина при его полном переносе.
    `void` | `recalcAfterMove(bitel.billing.server.util.MonthForRecalc months, int cidFrom, int cidTo)` После выполненя различных переносов логинов - переустановка балансов в договорах.
    `void` | `updateLogin(Login login)`
    `protected void` | `wrapLoginData(Login loginFrom, Login loginTo)` Перенос наработки логина при его переносе с новой даты.

    - ### Methods inherited from class bitel.billing.server.call.bean.LoginManager

      `checkConflictAliases, checkLogin, checkLoginAvailable, deleteLogin, freeResources, getContractLogins, getLoginAliases, getLoginById, getLoginByID, getLoginManager, getLoginTitle, hasActiveSessions, loadAVPPairs, loginsList, loginsList, moveLogin, updateAliases, updateAttributes, updatePassword, wrapLogin`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceIpLoginManager

          public VoiceIpLoginManager(java.sql.Connection con,
                                     int mid)

  - ### Method Detail

    - #### getLoginFromResultSet

          public VoiceIpLogin getLoginFromResultSet(java.sql.ResultSet rs)
                                             throws java.sql.SQLException

      Specified by:
        `getLoginFromResultSet` in class `LoginManager`
      Throws:
        `java.sql.SQLException`

    - #### checkAlias

          public boolean checkAlias(java.lang.String alias)

      Проверяет, занят ли указанный алиас (используется только при создании логина через Web)
      Parameters:
        `alias` - алиас для проверки
      Returns:
        true, если свободен

    - #### getFirstAliases

          public java.util.List<java.lang.Long> getFirstAliases(java.util.List<long[]> ranges,
                                                                int count)

    - #### getFirstAliases

          public java.util.List<java.lang.Integer> getFirstAliases(int[][] ranges)

    - #### moveLoginData

          protected void moveLoginData(Login login,
                                       int cidFrom,
                                       int cidTo)
                                throws java.sql.SQLException

      Description copied from class: `LoginManager`
      Перенос наработки логина при его полном переносе.
      Specified by:
        `moveLoginData` in class `LoginManager`
      Throws:
        `java.sql.SQLException`

    - #### wrapLoginData

          protected void wrapLoginData(Login loginFrom,
                                       Login loginTo)
                                throws java.sql.SQLException

      Description copied from class: `LoginManager`
      Перенос наработки логина при его переносе с новой даты.
      Specified by:
        `wrapLoginData` in class `LoginManager`
      Throws:
        `java.sql.SQLException`

    - #### recalcAfterMove

          public void recalcAfterMove(bitel.billing.server.util.MonthForRecalc months,
                                      int cidFrom,
                                      int cidTo)
                               throws java.sql.SQLException

      Description copied from class: `LoginManager`
      После выполненя различных переносов логинов - переустановка балансов в договорах.
      Specified by:
        `recalcAfterMove` in class `LoginManager`
      Throws:
        `java.sql.SQLException`
      See Also:
        `LoginManager.recalcAfterMove(bitel.billing.server.util.MonthForRecalc, int, int)`

    - #### addLogin

          public VoiceIpLogin addLogin(Login login,
                                       Preferences moduleSetup)

      Specified by:
        `addLogin` in class `LoginManager`
      See Also:
        `bitel.billing.server.call.bean.LoginManager#addLogin(bitel.billing.server.call.bean.Login, ru.bitel.bgbilling.server.util.ModuleSetup)`

    - #### updateLogin

          public void updateLogin(Login login)

      Specified by:
        `updateLogin` in class `LoginManager`
      See Also:
        `LoginManager.updateLogin(bitel.billing.server.call.bean.Login)`

    - #### doSpecificWrapActions

          protected void doSpecificWrapActions(int newLoginId,
                                               java.util.Date dateOpen,
                                               java.util.Date dateClose,
                                               Login login,
                                               bitel.billing.server.util.db.TableCopier tableCopier)
                                        throws java.sql.SQLException

      Specified by:
        `doSpecificWrapActions` in class `LoginManager`
      Throws:
        `java.sql.SQLException`

    - #### checkAliases

          public java.lang.String checkAliases(Login login,
                                               java.util.Set<java.lang.String> aliases)

      Specified by:
        `checkAliases` in class `LoginManager`